Rated 1 out of 5 stars

Need to work with newzbin2.es....

Fixed in 2.0b4

This has been fixed in 2.0b4. Until Mozilla approves it, click the "other versions" link below to access newer versions.